Bug 1131991 - Review Request: rubygem-logstash-event - Classes required to create LogStash events
Summary: Review Request: rubygem-logstash-event - Classes required to create LogStash ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Josef Stribny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-20 13:22 UTC by František Dvořák
Modified: 2016-01-04 05:53 UTC (History)
4 users (show)

Fixed In Version: rubygem-logstash-event-1.2.02-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-09 22:20:01 UTC
Type: ---
jstribny: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description František Dvořák 2014-08-20 13:22:43 UTC
Spec URL: http://scientific.zcu.cz/fedora/rubygem-logstash-event-1.2.02-1/rubygem-logstash-event.spec
SRPM URL: http://scientific.zcu.cz/fedora/rubygem-logstash-event-1.2.02-1/rubygem-logstash-event-1.2.02-0.fc22.src.rpm
Description: Library that contains the classes required to create LogStash events.
Fedora Account System Username: valtri

koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=7430767

Comment 1 Josef Stribny 2014-08-25 14:05:26 UTC
I will take it for a review.

Comment 2 Josef Stribny 2014-08-26 11:12:23 UTC
The following SRPM URL cannot be accessed:

SRPM URL: http://scientific.zcu.cz/fedora/rubygem-logstash-event-1.2.02-1/rubygem-logstash-event-1.2.02-0.fc22.src.rpm

Comment 3 František Dvořák 2014-08-26 11:46:01 UTC
Oh, I'm sorry, wrong URL. (I've probably copied old rpm name I used for COPR...)

Proper URLs:

Spec URL: http://scientific.zcu.cz/fedora/rubygem-logstash-event-1.2.02-1/rubygem-logstash-event.spec
SRPM URL: http://scientific.zcu.cz/fedora/rubygem-logstash-event-1.2.02-1/rubygem-logstash-event-1.2.02-1.fc22.src.rpm

Comment 4 Josef Stribny 2014-08-27 06:09:34 UTC
Could we make the description a little bit useful? It doesn't add any value when it's the same as summary.

Comment 5 František Dvořák 2014-08-27 10:55:13 UTC
The package goal is not much bigger, but at least some reformulation was really needed and in the end I was able to add some extra information too. :-)

Also I found missing dependency on json in gemfile (during working on logstasher). Current upstream changed parts around json already, so I haven't reported it.

Spec URL: http://scientific.zcu.cz/fedora/rubygem-logstash-event-1.2.02-2/rubygem-logstash-event.spec
SRPM URL: http://scientific.zcu.cz/fedora/rubygem-logstash-event-1.2.02-2/rubygem-logstash-event-1.2.02-2.fc22.src.rpm

koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=7464638

* Wed Aug 27 2014 František Dvořák <valtri@civ.zcu.cz> - 1.2.02-2
- More elaborate description
- Added explicit require on json rubygem

Comment 6 Josef Stribny 2014-08-27 15:11:20 UTC
> The package goal is not much bigger, but at least some reformulation was 
> really needed and in the end I was able to add some extra information too. :-)

Great.

> Also I found missing dependency on json in gemfile

Actually, json comes with Ruby on Fedora :), so that dependency is not really needed, but it's better that it's stated.

Rpmlint doesn't compain, package builds, installs, runs, spec looks sane => APPROVED.


[0] https://github.com/elasticsearch/logstash/commit/e03b67dc7da0c3d654caef9ca1a144d1ab99e580

Comment 7 František Dvořák 2014-08-27 16:25:45 UTC
New Package SCM Request
=======================
Package Name: rubygem-logstash-event
Short Description: Classes required to create LogStash events
Upstream URL: https://github.com/logstash/logstash
Owners: valtri
Branches: f19 f20 f21 el6 epel7
InitialCC:

Comment 8 Gwyn Ciesla 2014-08-27 16:53:24 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2014-08-28 11:04:26 UTC
rubygem-logstash-event-1.2.02-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/rubygem-logstash-event-1.2.02-2.fc21

Comment 10 Fedora Update System 2014-08-28 11:05:19 UTC
rubygem-logstash-event-1.2.02-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rubygem-logstash-event-1.2.02-2.fc20

Comment 11 Fedora Update System 2014-08-28 11:06:36 UTC
rubygem-logstash-event-1.2.02-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rubygem-logstash-event-1.2.02-2.fc19

Comment 12 Fedora Update System 2014-08-28 16:43:33 UTC
rubygem-logstash-event-1.2.02-2.fc21 has been pushed to the Fedora 21 testing repository.

Comment 13 Fedora Update System 2014-09-09 22:20:01 UTC
rubygem-logstash-event-1.2.02-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 14 Fedora Update System 2014-09-09 22:21:00 UTC
rubygem-logstash-event-1.2.02-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 15 Fedora Update System 2014-09-23 04:27:08 UTC
rubygem-logstash-event-1.2.02-2.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.